HackerBase Modules
==================

This file contains documentation of all exported symbols of all
modules used. Modules are grouped according to their specificity to
this project.

Functional Modules
------------------

These modules are specific to this project and their generic usage is
questionable.

### Configuration

    (import configuration)

The exact behavior of some algorithms in other modules can be changed
via configuration parameters in this global configuration module.

This module also handles configuration file loading.

    (*etc-hackerbase* path)

* ```path``` - path to file with configuration

Used by ```load-configuration!``` to load the system-specific default
configuration values.
  
*members-directory*

*apikeys-file*

*jendasap-checked*

*bank-dir*

*email-from*
  
    (load-configuration!)

Loads configuration from ```(*etc-hackerbase*)``` file.


### Members Payments Processor

### Members Info Printer

### Cards

### Web Static

Specific Support Modules
------------------------

### Primes

A very simple module for generating and checking 4-digit prime numbers.

    (is-4digit-prime? n)

* ```n``` - a number

Returns true if the given number ```n``` has four digits and it is a
prime number.

    (gen-all-4digit-primes)

Returns a list of all 4-digit prime numbers.
