Organization Specification
==========================

The specification of how the organization handles membership fees is
completely wrapped inside the specification module.

Modules
-------

### Specification

    (import specification)

This module contains organization specificaiton in an extensible
format.

    member-fees-lookup-table

A period lookup table for full and reduced membership fees. Used by
```lookup-member-fees``` and - more specifically -
```lookup-member-fee``` functions in the ```members-fees``` module.

    exchange-rates-lookup-table

A period lookup-table for CZK/EUR conversion. Used by the
```lookup-eur-rate``` function in the ```members-payments``` module.

    member-suspend-max-months

Determines how many months the member can be suspended before any
action is required.
